/***************************************************************************
*   Copyright (C) 2001 by Rick L. Vinyard, Jr.                            *
*   rvinyard@cs.nmsu.edu                                                  *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU Lesser General Public License as        *
*   published by the Free Software Foundation version 2.1.                *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU Lesser General Public      *
*   License along with this library; if not, write to the                 *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA              *
***************************************************************************/
#include "ip.h"

namespace Conexus {

IP::IP( int domain, int type, int protocol ): Socket(domain, type, protocol)
{
}

IP::~IP( ) throw ()
{
}

int IP::ttl( )
{
  int i;
  this->option(IPPROTO_IP, IP_TTL, i);
  return i;
}

void IP::set_ttl( int t )
{
  this->set_option(IPPROTO_IP, IP_TTL, t);
}

TOS IP::tos( )
{
  int i;
  this->option(IPPROTO_IP, IP_TOS, i);
  return (TOS)i;
}

void IP::set_tos( TOS t )
{
  this->set_option(IPPROTO_IP, IP_TOS, t);
}


}

